<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class CustomScheduleSpeciality extends Model
{
    use SoftDeletes;

    protected $table = "custom_schedules_specialities";

    protected $fillable = [
        'custom_schedule_id',
        'speciality_id',
    ];

    public function customSchedule(): BelongsTo
    {
        return $this->belongsTo(CustomSchedule::class);
    }
    
    public function speciality(): BelongsTo
    {
        return $this->belongsTo(Speciality::class);
    }
}
